summaryrefslogtreecommitdiff
path: root/sys-boot
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-27 18:53:03 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-27 18:53:03 +0000
commit3482ddf943eff7b8848f1fb31350b99ce349e86a (patch)
tree9c9bb6ec6679e9dc44a84d87ba611989409b12ca /sys-boot
parent8e8120eabdd28020aa69c7a60505cce2edd20adc (diff)
downloadbaldeagleos-repo-21.1.3.tar.gz
baldeagleos-repo-21.1.3.tar.xz
baldeagleos-repo-21.1.3.zip
Updating liguros repov21.1.3
Diffstat (limited to 'sys-boot')
-rw-r--r--sys-boot/efibootmgr/Manifest1
-rw-r--r--sys-boot/efibootmgr/efibootmgr-17.ebuild39
-rw-r--r--sys-boot/efibootmgr/files/efibootmgr-17-clang.patch82
-rw-r--r--sys-boot/efibootmgr/files/efibootmgr-17-fix-efivar-37-conflict.patch14
-rw-r--r--sys-boot/raspberrypi-firmware/Manifest1
-rw-r--r--sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20201201.ebuild4
-rw-r--r--sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20210108.ebuild72
-rw-r--r--sys-boot/refind/refind-0.12.0-r1.ebuild2
-rw-r--r--sys-boot/systemd-boot/systemd-boot-245.ebuild6
9 files changed, 216 insertions, 5 deletions
diff --git a/sys-boot/efibootmgr/Manifest b/sys-boot/efibootmgr/Manifest
index 299c980bdb86..9eb28d6dd160 100644
--- a/sys-boot/efibootmgr/Manifest
+++ b/sys-boot/efibootmgr/Manifest
@@ -1,3 +1,4 @@
DIST efibootmgr-14.tar.bz2 34972 BLAKE2B 78490756c5fd449f4319b79e0818e9d80340bd487f57d0de34f79f48cc24eb7b9c7309b535d00efad4babd40904d4cfb085cca278170625a1e875961e423f5dd SHA512 97935f8752440ce236162e174ea3404e907ebddc5877d597a97813da76ad580689fc2e97044885fc860a12a473af7183242b6120e78e53243d35e569fb002baf
DIST efibootmgr-15.tar.bz2 35476 BLAKE2B 19b7c9ce51f3b930b2d59fa4a594c7a8bf5f1c7aa3224049e88cdafe82991799b1b719ec68c80131027f70c16bd19e38157f5d0bc7761843959410c667aa4070 SHA512 d9d9eef14d373d5da88141e8105f754fea4c039755ed0a0cb9b3c9c2bb285733ad930fd912df42075fe2cf750585699307b067f594d8e65269b3b8a5a00b1cd1
DIST efibootmgr-16.tar.bz2 36603 BLAKE2B 3d09a9d3c4ecd48010315fccae60ab408c0d08e9c734e86a944130ea03e038835fa08745819f5353efbbe36f5017be64faded4b625ef0a0b55d4ca0d612ef232 SHA512 936318c7163c07b716f89be3d830957d9db68ba1b059223f7ea3d9eafe0dbf1c91b9aee096f5aed70955c6052c3b8547295c0a47f17cdf43788259d87d1990b9
+DIST efibootmgr-17.tar.gz 41643 BLAKE2B a1995a5df74766f762d2eb971fd6095edea8d0a498c9dd1100515866b40c38ae2f299aae51f12767850ec23fbe4709c2c7428dd48755fbec499669b69f6432c9 SHA512 10c7ad9a79f23dcd4708dc4f42701196af7aa11f5e9a6468ea51f7013d4caeba6c92527ba1304f6e3b2ef3b51b3b69ea1a30f81bb099a8aea49eeb30eb631e1d
diff --git a/sys-boot/efibootmgr/efibootmgr-17.ebuild b/sys-boot/efibootmgr/efibootmgr-17.ebuild
new file mode 100644
index 000000000000..a6d695bcfe73
--- /dev/null
+++ b/sys-boot/efibootmgr/efibootmgr-17.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="User-space application to modify the EFI boot manager"
+HOMEPAGE="https://github.com/rhinstaller/efibootmgr"
+SRC_URI="https://github.com/rhboot/efibootmgr/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~x86"
+
+RDEPEND="
+ sys-apps/pciutils
+ >=sys-libs/efivar-37:=
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}/${P}-fix-efivar-37-conflict.patch"
+ "${FILESDIR}/${P}-clang.patch"
+)
+
+src_prepare() {
+ default
+ sed -i 's/-Werror //' Make.defaults || die
+}
+
+src_configure() {
+ tc-export CC
+ export EFIDIR="Gentoo"
+}
+
+src_compile() {
+ emake PKG_CONFIG="$(tc-getPKG_CONFIG)"
+}
diff --git a/sys-boot/efibootmgr/files/efibootmgr-17-clang.patch b/sys-boot/efibootmgr/files/efibootmgr-17-clang.patch
new file mode 100644
index 000000000000..687b294c3339
--- /dev/null
+++ b/sys-boot/efibootmgr/files/efibootmgr-17-clang.patch
@@ -0,0 +1,82 @@
+From 97668ae0bce776a36ea2001dea63d376be8274ac Mon Sep 17 00:00:00 2001
+From: Peter Jones <pjones@redhat.com>
+Date: Wed, 6 Mar 2019 13:08:33 -0500
+Subject: [PATCH] Make sure PKGS= is propogated into the submake for "make
+ deps"
+
+When we're doing make deps with "$(CC) -MF", gcc and clang have different
+behavior, both broken in different ways, which we're hitting because of a
+missing -I argument for libefivar's includes. On clang, when a header can't
+be found, it emits a rule with the header as a prerequisite without a path,
+such as efivar.h here:
+
+efibootmgr.o: efibootmgr.c fix_coverity.h efivar.h efiboot.h \
+ /home/pjones/devel/github.com/efibootmgr/master/src/include/list.h \
+ /home/pjones/devel/github.com/efibootmgr/master/src/include/efi.h \
+ /home/pjones/devel/github.com/efibootmgr/master/src/include/unparse_path.h \
+ /home/pjones/devel/github.com/efibootmgr/master/src/include/efibootmgr.h \
+ error.h
+
+Then the build that utilizes that rule will fail to find the
+prerequisite and tell you something like:
+
+make[1]: *** No rule to make target 'efivar.h', needed by 'efibootmgr.o'. Stop.
+make[1]: Leaving directory '/home/pjones/devel/github.com/efibootmgr/master/src'
+
+With gcc, when a header can't be found, it emits a rule without that header
+as a prerequisite, as such (again with efivar.h):
+
+efibootmgr.o: efibootmgr.c fix_coverity.h \
+ /home/pjones/devel/github.com/efibootmgr/master/src/include/list.h \
+ /home/pjones/devel/github.com/efibootmgr/master/src/include/efi.h \
+ /home/pjones/devel/github.com/efibootmgr/master/src/include/unparse_path.h \
+ /home/pjones/devel/github.com/efibootmgr/master/src/include/efi.h \
+ /home/pjones/devel/github.com/efibootmgr/master/src/include/efibootmgr.h \
+ error.h
+
+And then your build will fail if you haven't adjusted CFLAGS to tell it
+where to find the header.
+
+Both of these would be better just erroring, but at least gcc's doesn't
+insert a *wrong* dependency.
+
+This patch adds "PKGS=efivar efibootmgr popt" for all deps under src/.
+Technically that's overkill, as efibootmgr itself doesn't need popt, but it
+doesn't hurt anything to have the extra part there. The resulting
+.efibootmgr.d file has the prerequisites expressed correctly:
+
+efibootmgr.o: efibootmgr.c fix_coverity.h /usr/include/efivar/efivar.h \
+ /usr/include/efivar/efiboot.h \
+ /home/pjones/devel/github.com/efibootmgr/master/src/include/list.h \
+ /home/pjones/devel/github.com/efibootmgr/master/src/include/efi.h \
+ /home/pjones/devel/github.com/efibootmgr/master/src/include/unparse_path.h \
+ /home/pjones/devel/github.com/efibootmgr/master/src/include/efi.h \
+ /home/pjones/devel/github.com/efibootmgr/master/src/include/efibootmgr.h \
+ error.h
+
+This fixes the issue described in github PR #96
+
+Signed-off-by: Peter Jones <pjones@redhat.com>
+---
+ src/Makefile | 7 ++++++-
+ 1 file changed, 6 insertions(+), 1 deletion(-)
+
+diff --git a/src/Makefile b/src/Makefile
+index 258bac1..32fa188 100644
+--- a/src/Makefile
++++ b/src/Makefile
+@@ -31,8 +31,13 @@ efibootdump : PKGS=efivar efiboot popt
+ efibootnext : $(call objects-of,$(EFIBOOTNEXT_SOURCES))
+ efibootnext : PKGS=efivar efiboot popt
+
++deps : PKGS=efivar efiboot popt
+ deps : $(ALL_SOURCES)
+- $(MAKE) -f $(TOPDIR)/Make.deps deps SOURCES="$(ALL_SOURCES)" SUBDIR_CFLAGS="$(SUBDIR_CFLAGS)"
++ $(MAKE) -f $(TOPDIR)/Make.deps \
++ SOURCES="$(ALL_SOURCES)" \
++ SUBDIR_CFLAGS="$(SUBDIR_CFLAGS)" \
++ PKGS="$(PKGS)" \
++ deps
+
+ clean :
+ @rm -rfv *.o *.a *.so $(TARGETS)
diff --git a/sys-boot/efibootmgr/files/efibootmgr-17-fix-efivar-37-conflict.patch b/sys-boot/efibootmgr/files/efibootmgr-17-fix-efivar-37-conflict.patch
new file mode 100644
index 000000000000..614195f3c99d
--- /dev/null
+++ b/sys-boot/efibootmgr/files/efibootmgr-17-fix-efivar-37-conflict.patch
@@ -0,0 +1,14 @@
+diff --git a/src/efibootmgr.c b/src/efibootmgr.c
+index de38f01..4e1a680 100644
+--- a/src/efibootmgr.c
++++ b/src/efibootmgr.c
+@@ -1536,9 +1536,6 @@ parse_opts(int argc, char **argv)
+ "invalid numeric value %s\n",
+ optarg);
+ }
+- /* XXX efivar-36 accidentally doesn't have a public
+- * header for this */
+- extern int efi_set_verbose(int verbosity, FILE *errlog);
+ efi_set_verbose(opts.verbose - 2, stderr);
+ break;
+ case 'V':
diff --git a/sys-boot/raspberrypi-firmware/Manifest b/sys-boot/raspberrypi-firmware/Manifest
index e02e56bbc2f2..c96249964a0b 100644
--- a/sys-boot/raspberrypi-firmware/Manifest
+++ b/sys-boot/raspberrypi-firmware/Manifest
@@ -1,2 +1,3 @@
DIST raspberrypi-firmware-1.20201022.tar.gz 189827375 BLAKE2B 94c38f60d688c8e3ebab830912daccbb6c04bdd3d88f6ca0d07d85be0a6b12c53f0266b4c258ed4694f30bad5db30fb6d30feabfd0b7668735a9a806b820d325 SHA512 876758179df27109984b6c3f4849fdcdc6bdcc2769495fcc83c97fc3ff4d07b9f3cd58086be877503f72c9e5417d2be6d6c33bce4cbb3b862055117c9cc26db8
DIST raspberrypi-firmware-1.20201201.tar.gz 189332299 BLAKE2B b3ec91f07b4713d26c29be5412d018a220129eef7ddf7c5c09d85e645c2c5754a95f13be7e690ab40648a982e3974cc760aa5b33c76612da836227d38c4ee3a5 SHA512 a7f4591552718956bd7f2d0d377234277e2e6f18cc9714ea30fe13f26d5ae1164b982f39dcf72ae4a18663369ef06d0187d8182713763262371c13107aac4c65
+DIST raspberrypi-firmware-1.20210108.tar.gz 189334002 BLAKE2B 254e8bf644b2b3773ff5ec9ffb47eeb84e0a149e9a74a18a9c6c39db03610fdd3a42f455a9e8935aa4afa4ee21ed098237d4a4e431c401a919c833372e729fa5 SHA512 3c8759e7d6cce597fcbab80e0cd9fd6d528ed2c956452e902f08509169181d703895298a71b8be76d6734f128f85e36d54a149ff9cd735ca44cf8416917ed172
diff --git a/sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20201201.ebuild b/sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20201201.ebuild
index 55d6595f60bf..43c2288dc321 100644
--- a/sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20201201.ebuild
+++ b/sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20201201.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -11,7 +11,7 @@ if [[ "${PV}" == 9999 ]]; then
EGIT_CLONE_TYPE="shallow"
else
SRC_URI="https://github.com/raspberrypi/firmware/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="-* ~arm ~arm64"
+ KEYWORDS="-* arm arm64"
S="${WORKDIR}/firmware-${PV}"
fi
diff --git a/sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20210108.ebuild b/sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20210108.ebuild
new file mode 100644
index 000000000000..263276be82c7
--- /dev/null
+++ b/sys-boot/raspberrypi-firmware/raspberrypi-firmware-1.20210108.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit mount-boot readme.gentoo-r1
+
+if [[ "${PV}" == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/raspberrypi/firmware"
+ EGIT_CLONE_TYPE="shallow"
+else
+ SRC_URI="https://github.com/raspberrypi/firmware/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="-* ~arm ~arm64"
+ S="${WORKDIR}/firmware-${PV}"
+fi
+
+DESCRIPTION="Raspberry Pi (all versions) bootloader and GPU firmware"
+HOMEPAGE="https://github.com/raspberrypi/firmware"
+
+LICENSE="GPL-2 raspberrypi-videocore-bin"
+SLOT="0"
+RESTRICT="binchecks strip"
+
+DOC_CONTENTS="Please configure your ram setup by editing /boot/config.txt"
+
+src_prepare() {
+ default
+
+ cp "${FILESDIR}"/${PN}-1.20201022-config.txt "${WORKDIR}" || die
+
+ if use arm64; then
+ # Force selection of the 64-bit kernel8.img to match our userland
+ echo "arm_64bit=1" >> "${WORKDIR}"/${PN}-1.20201022-config.txt || die
+ fi
+}
+
+src_install() {
+ insinto /boot
+ cd boot || die
+ doins bootcode.bin fixup*.dat start*elf
+ newins "${WORKDIR}"/${PN}-1.20201022-config.txt config.txt
+ newins "${FILESDIR}"/${PN}-1.20201022-cmdline.txt cmdline.txt
+ newenvd "${FILESDIR}"/${PN}-0_p20130711-envd 90${PN}
+ readme.gentoo_create_doc
+}
+
+pkg_preinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]] ; then
+ local msg=""
+
+ if [[ -e "${ED}"/boot/cmdline.txt ]] && [[ -e /boot/cmdline.txt ]] ; then
+ msg+="/boot/cmdline.txt "
+ fi
+
+ if [[ -e "${ED}"/boot/config.txt ]] && [[ -e /boot/config.txt ]] ; then
+ msg+="/boot/config.txt "
+ fi
+
+ if [[ -n "${msg}" ]] ; then
+ msg="This package installs following files: ${msg}."
+ msg="${msg} Please remove (backup) your copies during install"
+ msg="${msg} and merge settings afterwards."
+ msg="${msg} Further updates will be CONFIG_PROTECTed."
+ die "${msg}"
+ fi
+ fi
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+}
diff --git a/sys-boot/refind/refind-0.12.0-r1.ebuild b/sys-boot/refind/refind-0.12.0-r1.ebuild
index c1d166f0b4d8..39004c2d0093 100644
--- a/sys-boot/refind/refind-0.12.0-r1.ebuild
+++ b/sys-boot/refind/refind-0.12.0-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/project/${PN}/${PV}/${PN}-src-${PV}.tar.gz"
LICENSE="BSD GPL-2 GPL-3 FDL-1.3"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 x86"
FS_USE="btrfs +ext2 +ext4 hfs +iso9660 ntfs reiserfs"
IUSE="${FS_USE} custom-cflags doc"
diff --git a/sys-boot/systemd-boot/systemd-boot-245.ebuild b/sys-boot/systemd-boot/systemd-boot-245.ebuild
index 748f866fdec2..3a166e45245e 100644
--- a/sys-boot/systemd-boot/systemd-boot-245.ebuild
+++ b/sys-boot/systemd-boot/systemd-boot-245.ebuild
@@ -1,9 +1,10 @@
-# Copyright 2016-2020 Gentoo Authors
+# Copyright 2016-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit meson toolchain-funcs
+inherit meson python-any-r1 toolchain-funcs
DESCRIPTION="UEFI boot manager from systemd (formerly gummiboot)"
HOMEPAGE="https://www.freedesktop.org/wiki/Software/systemd/systemd-boot/"
@@ -16,6 +17,7 @@ IUSE=""
RESTRICT="test"
BDEPEND="
+ ${PYTHON_DEPS}
app-text/docbook-xml-dtd:4.2
app-text/docbook-xml-dtd:4.5
app-text/docbook-xsl-stylesheets